Bug 208734 - Bug in tt_cmap4_char_map_binary algorithm for overlapping segments
Summary: Bug in tt_cmap4_char_map_binary algorithm for overlapping segments
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Brock Organ
URL: http://cvs.savannah.gnu.org/viewcvs/f...
Whiteboard:
Keywords:
Depends On:
Blocks: 208084
TreeView+ depends on / blocked
 
Reported: 2006-10-01 05:54 UTC by Trevin Beattie
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 18:25:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update src/sfnt/ttcmap.c from 1.64 to 1.66 (975 bytes, patch)
2006-10-01 05:54 UTC, Trevin Beattie
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 208084 None None None Never

Description Trevin Beattie 2006-10-01 05:54:13 UTC
Description of problem:
Please see bug #208084

Version-Release number of selected component (if applicable):
freetype-2.2.1-10.fc6

How reproducible:
Always

Steps to Reproduce:
1. Try to run foobillard-3.0a-5 (from Fedora Extras development)
  
Actual results:
FT_Load_Glyph:error#6

Expected results:
The game should start

Additional info:
http://cvs.savannah.gnu.org/viewcvs/freetype/freetype2/src/sfnt/ttcmap.c?r1=1.65&r2=1.66

Comment 1 Trevin Beattie 2006-10-01 05:54:14 UTC
Created attachment 137491 [details]
Update src/sfnt/ttcmap.c from 1.64 to 1.66

Comment 2 Behdad Esfahbod 2006-11-16 18:27:29 UTC
I'll look into this today or tomorrow.  Thanks for the patch.

Comment 3 Matthias Clasen 2006-12-03 03:22:07 UTC
Behdad, was this applied ?

Comment 4 Behdad Esfahbod 2006-12-04 18:25:38 UTC
Will be in upcoming freetype-2.2.1-16.fc6


Note You need to log in before you can comment on or make changes to this bug.